import React from "react";
import pick from "lodash/pick";

import { dislike, like } from "actions/posts";
import PostList from "components/posts/PostList";
import { PostStore } from "stores";

const PostsContainer = ({ className }) => {
  const { window, items } = PostStore.useState((state) =>
    pick(state, ["window", "items"])
  );
  const showingArchivedOnly = PostStore.useState(
    (state) => state.filters.flags === "archived"
  );

  // const onLike = (post) => like.run();
  // const onDislike = (post) => console.log("dislike", post);

  const sliceStart = (window.page - 1) * window.perPage;
  const sliceEnd = window.page * window.perPage;

  const onHide = (post) => {
    console.log("hide", post);
  };
  const onBanUser = (post) => {
    console.log("banUser", post);
  };
  const onAnnounceProcedureProposal = (post) => {
    console.log("announce", post);
  };
  const onAcceptProcedureProposal = (post) => {
    console.log("accept", post);
  };
  const onRejectProcedureProposal = (post) => {
    console.log("reject", post);
  };

  return (
    <PostList
      items={window.items
        .slice(sliceStart, sliceEnd)
        .map((postId) => items[postId])}
      onLike={like.run}
      onDislike={dislike.run}
      className={className}
      dimArchived={!showingArchivedOnly}
      displayActions={true}
      onHide={onHide}
      onBanUser={onBanUser}
      onAnnounceProcedureProposal={onAnnounceProcedureProposal}
      onAcceptProcedureProposal={onAcceptProcedureProposal}
      onRejectProcedureProposal={onRejectProcedureProposal}
    />
  );
};

export default PostsContainer;
